rte_port_eventdev.h(3)

NAME
rte_port_eventdev.h

SYNOPSIS

#include <stdint.h>
#include <rte_eventdev.h>
#include 'rte_port.h'

  Data Structures

struct rte_port_eventdev_reader_params
struct rte_port_eventdev_writer_params
struct rte_port_eventdev_writer_nodrop_params

  Variables

struct rte_port_in_ops rte_port_eventdev_reader_ops
struct rte_port_out_ops rte_port_eventdev_writer_ops
struct rte_port_out_ops rte_port_eventdev_writer_nodrop_ops

Detailed Description

RTE Port Eventdev Interface

eventdev_reader: input port built on top of pre-initialized eventdev interface eventdev_writer: output port built on top of pre-initialized eventdev interface

Definition in file rte_port_eventdev.h.

Variable Documentation

  struct rte_port_in_ops rte_port_eventdev_reader_ops [extern]
Eventdev_reader port operations.

  struct rte_port_out_ops rte_port_eventdev_writer_ops [extern]
Eventdev_writer port operations.

  struct rte_port_out_ops rte_port_eventdev_writer_nodrop_ops [extern]
Eventdev_writer_nodrop port operations.

Author

Generated automatically by Doxygen for DPDK from the source code.